
void main()
{
	vec3 P = vec3(gl_ModelViewMatrix * gl_Vertex);
	vec3 N = normalize(gl_NormalMatrix * gl_Normal);
	vec3 L = normalize(gl_LightSource[0].position.xyz - P);
	float diff = dot(L,N);
	gl_FrontColor = vec4(gl_Color.xyz * max(0.2, diff), gl_Color.w);
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}
